lxc (1:6.0.6-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream release (Closes: #1128845)
    - Update lxc-default-with-nesting apparmor profile (Closes: #1111087)
    - Drop patches applied upstream
    - Update d/liblxc1t64.symbols
  * d/control:
    - Drop ${shlibs:Depends} from lxc-dev
  * Update years in d/copyright

  [ Yangfl ]
  * Add Chinese debconf templates translations (Closes: #1124467)

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 02 Mar 2026 18:56:20 +0000

lxc (1:6.0.5-2) unstable; urgency=medium

  [ Frost ]
  * Add lxc-net dependency to sysvinit script (Closes: #1122149)

  [ Mathias Gibbens ]
  * Cherry-pick upstream fix for generating
    apparmor.d/abstractions/lxc/container-base (partially addresses #1111087)
  * Cherry-pick upstream fix for restarting unprivileged containers
    (Closes: #1123979)
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - No longer Suggest lxc-templates
  * d/t/control:
    - Add missing dependency on sudo (Closes: #983422)
    - Reenable unprivileged-containers test, which passes in qemu backend
    - No longer skip lxc-test-unpriv, which passes in qemu backend

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Dec 2025 18:51:40 +0000

lxc (1:6.0.5-1) unstable; urgency=medium

  * New upstream release:
    - Drop patches applied upstream
    - Update d/copyright to remove files no longer included
  * d/control:
    - Limit Suggesting criu to the architectures where it's available

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 15 Aug 2025 12:36:29 +0000

lxc (1:6.0.4-4) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Add missing Built-Using to liblxc-common (Closes: #1106803)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 30 May 2025 12:58:12 +0000

lxc (1:6.0.4-3) unstable; urgency=medium

  * Cherry-pick upstream fix for containers on loong64 (Closes: #1104545)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 22 May 2025 12:53:15 +0000

lxc (1:6.0.4-2) unstable; urgency=medium

  * Cherry-pick upstream fix for regression involving complex hooks, like
    nvidia

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 14 Apr 2025 13:25:54 +0000

lxc (1:6.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 03 Apr 2025 23:14:16 +0000

lxc (1:6.0.3-2) unstable; urgency=medium

  [ Mathias Gibbens ]
  * d/control:
    - No longer Suggest cgroupfs-mount, since it has been removed from the
      archive (Closes: #1099042)
    - Add a Conflicts against lava-lxc-mocker for bin:lxc (spotted by Salsa
      CI "missing-breaks" job)
    - Update minimum version of apparmor
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Drop vestigial ${lxcfs:Depends} use
  * Extend apparmor patch to include two more profiles
  * Update years in d/copyright
  * Cleanup patch names

  [ Nicolas Schier ]
  * d/p.u/1000-ubuntu-apparmor-userns.patch: replace mistyped filename
    lxc-start by lxc-copy (LP: #2080358)
  * Apply AppArmor API and userns patch also on Debian (Closes: #1098521)

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 18 Mar 2025 00:19:26 +0000

lxc (1:6.0.3-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Catalan translation of lxc's debconf messages

  [ Mathias Gibbens ]
  * New upstream release (Closes: #1085241)
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Dec 2024 23:49:40 +0000

lxc (1:6.0.2-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream release

  [ Ryan Harper ]
  * d/rules: remove find/rm of *.a
  * d/lxc-dev.install: add liblxc.a static lib back to package

  [ Serge Hallyn ]
  * meson.buld: add -ffat-lto-objects

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 19 Sep 2024 01:00:11 +0000

lxc (1:6.0.1-1) unstable; urgency=medium

  * New upstream release
    - Drop patch #0001, applied upstream
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 27 Jun 2024 20:44:45 +0000

lxc (1:6.0.0a-1) unstable; urgency=medium

  * New upstream release 6.0.0a
    Not an alpha release, but rather a minor fix of meson LXC_DEVEL tracker.

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 02 May 2024 15:22:44 +0200

lxc (1:6.0.0-1) unstable; urgency=medium

  [ Aleksandr Mikhalitsyn ]
  * debian/rules: Re-shuffle Ubuntu-specific logic
  * debian/tests: Disable unprivileged tests (not working in autopkgtest)

  [ Pierre-Elliott Bécue ]
  * New upstream release 6.0.0
    Closes: #1041414
  * d/control:
    - Add version for apparmor dependency to cover evolutions with
      https://github.com/lxc/lxc/pull/4295
    - Put lxc-templates as a Suggests and add distrobuilder as a Recommend
  * d/copyright: updated

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 02 May 2024 12:56:34 +0200

lxc (1:5.0.3-3) unstable; urgency=medium

  [ Aleksandr Mikhalitsyn ]
  * debian/tests: Addition of the "no-devel" test
  * debian/tests/unprivileged-containers: Fix and make work on Ubuntu

  [ Mathias Gibbens ]
  * d/control:
    - Update Build-Depends from systemd -> systemd-dev (Closes: #1060614)
    - Update Build-Depends from pkg-config -> pkgconf
  * Cherry-pick upstream fixes for d/tests/test-usernic
  * Update years in d/copyright

  [ Michael Biebl ]
  * Install PAM modules into /usr. (Closes: #1061490)
  * Drop Build-Depends on dh-exec, no longer necessary.

  [ Stéphane Graber ]
  * Cherry-pick upstream bugfixes:
    - 0013-cherry-pick-remove-broken-cgroup-tests.patch
    - 0014-cherry-pick-lxc-copy-apparmor.patch
  * Add Ubuntu-specific patch (for now):
    - Handle AppArmor ABI 4 with userns extension
  * debian/rules
    - Add lxc-copy apparmor profile
    - Apply Ubuntu-specific patch

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 30 Mar 2024 00:45:04 +0000

lxc (1:5.0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062679

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 10:37:01 +0000

lxc (1:5.0.3-2) unstable; urgency=medium

  * Switch default branch to debian/sid
  * Add criu as a Suggests for bin:lxc (Closes: #947334)
  * Cherry-pick upstream fix for creating ephemeral copies (Closes: #1001713)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 30 Nov 2023 01:04:13 +0000

lxc (1:5.0.3-1) unstable; urgency=medium

  [ Ceppo ]
  * Add Italian debconf translation (Closes: #1050106)

  [ Gioele Barabucci ]
  * d/tests/control: Remove unnecessary dependency on lsb-release

  [ Helmut Grohne ]
  * Fix FTBFS when systemdsystemunitdir changes in systemd.pc (Closes: #1052379)

  [ Mathias Gibbens ]
  * New upstream release
  * Add translator information to d/copyright
  * d/control:
    - Remove liblua5.2-dev from Build-Depends (Closes: #1050519)
    - Remove lsb-base from Depends
  * Add d/clean to fix failing to build twice in a row (Closes: #1046733)

  [ Remus-Gabriel Chelu ]
  * Add Romanian debconf translation (Closes: #1032345)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 22 Sep 2023 14:53:31 +0000

lxc (1:5.0.2-1) unstable; urgency=medium

  * New upstream release
    - Fixes CVE-2022-47952
    - Drop glibc 2.36 patch applied upstream
  * Bump Standards-Version in d/control (no changes needed)
  * Refresh d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 17 Jan 2023 02:53:00 +0000

lxc (1:5.0.1-2) unstable; urgency=medium

  * d/control:
    - Add myself to Uploaders
    - Bump Standards-Version (no changes needed)
    - Set minimum required meson version in Build-Depends (Closes: #1016523)
    - Update list of architectures missing libseccomp-dev
    - Add Rules-Requires-Root: binary-targets
  * Add myself to d/copyright
  * d/liblxc1.symbols:
    - Avoid build failure due to missing symbols on architectures without
      libseccomp-dev (Closes: #922545)
  * Drop d/patches/0006-adjust-pam-dir.patch and modify d/libpam-cgfs.install
    to directly install pam_cgfs.so
  * Cherry-pick upstream fixes for building with glibc 2.36 (Closes: #1023437)
  * Add d/upstream/metadata
  * Remove asterisk from NEWS file to silence lintian tag

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Nov 2022 19:54:47 +0000

lxc (1:5.0.1-1) unstable; urgency=medium

  * Team upload

  [ Mathias Gibbens ]
  * New upstream release 5.0.1 (Closes: #1005099, #1010843, #1006353)
    - Switch to meson build system and update d/rules as needed
    - Update Build-Depends and Depends in d/control
    - Drop patches no longer needed / applied upstream
    - Add patch to fix installed location of libpam_cgfs.so
    - Update d/liblxc-common.lintian-overrides
    - Update d/liblxc1.symbols

  [ Antonio Terceiro ]
  * debian/rules: drop handling of bash completion links

  [ Pierre-Elliott Bécue ]
  * Apply Janitor's changes on d/control constraints.
  * Fix debian/liblxc1.symbols
  * d/p/0004: Add a patch to make systemd security features working in nesting
    apparmor profile.
    This can cause security risks in privileged containers, so it's only in
    nesting profile. (Closes: #995350)

 -- Mathias Gibbens <mathias@calenhad.com>  Mon, 01 Aug 2022 22:46:52 +0200

lxc (1:4.0.11-1) unstable; urgency=medium

  * Backporting changes from experimental to unstable
  * d/control: Move from Conflicts + Breaks to Breaks + Replaces

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 14 Feb 2022 00:22:35 +0100

lxc (1:4.0.11-1~exp4) experimental; urgency=medium

  * d/copyright: Clean the mess and extract as much as possible from the files
    in the repo (Closes: #1004978)
  * wrap-and-sort

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 04 Feb 2022 23:06:35 +0100

lxc (1:4.0.11-1~exp3) experimental; urgency=medium

  * d/control: Update the dependency of lxc from liblxc1 to liblxc-common.

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 02 Feb 2022 22:37:20 +0100

lxc (1:4.0.11-1~exp2) experimental; urgency=medium

  * d/control:
    - Fix some architecture screwups on liblxc-common
  * d/{liblxc-common,lxc}.install: Move /usr/lib/*/lxc/rootfs to the former

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 29 Jan 2022 11:10:23 +0100

lxc (1:4.0.11-1~exp1) experimental; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 4.0.11
  * d/control:
    - Remove bridge-utils from lxc's dependencies and prioritize nftables over
      iptables as a firewalling dependency (Closes: #908050)
    - Bumps Standards-Version to 4.6.0
  * Create a new binary package liblxc-common to host the shared components
    needed by both bin:lxc and a potential future bin:lxd (Closes: #1002564)
  * d/liblxc1.symbols: updated
  * d/README.Debian: fix a misleading comment
  * d/copyright: updated years, and added missing copyright holders

  [ Antonio Terceiro ]
  * d/rules: re-enable installation of lxc-top (Closes: #1003591)

  [ Diederik de Haas ]
  * d/lxc.postinst: replace the use of which by a call to command -v

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 28 Jan 2022 20:23:34 +0100

lxc (1:4.0.10-2) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/rules: re-enable installation of lxc-top (Closes: #1003591)
  * Drop dependency on bridge-utils (Closes: #1004733)
  * lxc-net: don't start by default inside lxc
  * autopkgtest: add basic create/destroy test

  [ Diederik de Haas ]
  * Replace deprecated 'which' with 'command -v'

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Feb 2022 15:45:10 -0300

lxc (1:4.0.10-1) unstable; urgency=medium

  * New upstream version 4.0.10
    - Builds fine against autoconf 2.70 (Closes: #978862)
  * Refresh patches.
    0007-conf-fix-containers-retaining-CAP_NET_ADMIN.patch dropped, applied
    upstream.
  * Update debian/liblxc1.symbols

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 Aug 2021 09:15:30 -0300

lxc (1:4.0.6-2) unstable; urgency=medium

  * d/contrib/lxc-net: Add a commented dnsmasq reference for the users to be
    able to use this configuration if needed.
  * d/contrib/bin/lxc-unpriv-{start,attach} helper scripts to make
    unprivileged containers easier to start manually
  * d/README.Debian: Added some intel about how to handle properly
    unprivileged containers and systemd user sessions, and potential
    filesystem ACL issues/implications
    (Closes: #989317, 987293)
  * d/p/0007: Makes the containers able to have /proc/sys/net rw
    (Closes: #981980)

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 11 Jun 2021 21:43:41 +0200

lxc (1:4.0.6-1) unstable; urgency=medium

  * New upstream version 4.0.6
  * Refresh patches; drop patches applied upstream
  * Remove unreliable test for unprivileged containers
  * Move lxc-net dependencies from Recommends to Depends
    - Moved from Recommends: to Depends bridge-utils, dnsmasq-base,
      iptables, iproute2
    - Recommends: drop nftables; lxc-net uses iptables only, and nothing in
      lxc even references nftables.
  * Document and add new autopkgtest for unprivileged containers
  * Recommends: add wget, needed by the download template

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 31 Jan 2021 14:29:40 -0300

lxc (1:4.0.5-2) unstable; urgency=medium

  * Add upstream patch to fix reboots in autopkgtest under cgroupv2
    (Closes: #978425)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 30 Dec 2020 10:17:51 -0300

lxc (1:4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5
  * Refresh patches; drop patches already applied upstream
  * Add upstream patch to fix container startup on Linux 5.10 (Closes: #977923)
  * liblxc1.symbols: update

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 22 Dec 2020 21:50:20 -0300

lxc (1:4.0.4-6) unstable; urgency=medium

  * autopkgtest: switch unpriv test to the new Architecture: field

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 28 Oct 2020 16:59:41 -0300

lxc (1:4.0.4-5) unstable; urgency=medium

  * Team upload.
  * d/tests/unpriv: skip on arm64 as the test (right now) only works on amd64

 -- Johannes 'josch' Schauer <josch@debian.org>  Fri, 02 Oct 2020 21:34:46 +0200

lxc (1:4.0.4-4) unstable; urgency=medium

  * d/tests/unpriv: Adds dnsmasq-base to the qemu VM filesystem hosting the
    unprivileged containers tested

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 01 Oct 2020 18:54:52 +0200

lxc (1:4.0.4-3) unstable; urgency=medium

  * d/p/0007: patch to avoid compilers complaints regarding short writes in
    the cgroup cgfsng, mitigating security risks of a buffer overrun.
  * d/control: For liblxc1: demote cgroupfs-mount | systemd from Depends to
    Suggests. Closes: #968404

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 25 Sep 2020 14:12:38 +0200

lxc (1:4.0.4-2) unstable; urgency=medium

  * d/p/0005: patch to avoid lxc_stop failure if cgroup unfreeze fails
    Closes: #961584
  * d/lxc.lintian-overrides: Drop postinst-has-useless-call-to-ldconfig which
    is not a valid tag anymore

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 19 Sep 2020 23:18:02 +0200

lxc (1:4.0.4-1) unstable; urgency=medium

  * New upstream release 4.0.4-1
    Closes: #969229, #966998
  * d/p/0003: Remove obsolete configurations from lxc.service.
    Closes: #968169
  * d/liblxc1.symbols: updated
  * d/lxc-test.lintian-overrides updated

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 05 Sep 2020 23:21:40 +0200

lxc (1:4.0.2-1) unstable; urgency=medium

  * Rebuild for unstable

  [ Pierre-Elliott Bécue ]
  * Enable lxc-test-apparmor in autopkgtest (Closes: #958406)
  * Bump debhelper-compat level to 13
  * Add a debian-branch entry in debian/gbp.conf

  [ Antonio Terceiro ]
  * Enable LXC networking by default

  [ Johannes Schauer ]
  * Add autopkgtest testing unprivileged containers

  [ Camaleón ]
  * Add Spanish translation for the Debconf template (Closes: #959080)

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 25 May 2020 18:15:10 +0200

lxc (1:4.0.2-1~1) experimental; urgency=medium

  * New upstream release 4.0.2 (Closes: #956014)
    - CGroup2 support (Closes: #944389, #946172, #947335)
    - Infrastructure for system call interception
    - PIDfd support
    - Improved network handling
    - Hardening and refactoring throughout the codebase, fixing very many issues

    + Patches rebased accordingly
  * Bump Standards-Version to 4.5.0
  * Labels liblxc1 and libpam-cgfs as Multi-Arch: same

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 19 Apr 2020 00:31:46 +0200

lxc (1:3.1.0+really3.0.4-3) unstable; urgency=medium

  * Apply upstream patch to fix removal of containers that contain imutable
    files when using the plain directory backend.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 11 Apr 2020 17:20:29 -0300

lxc (1:3.1.0+really3.0.4-2) unstable; urgency=medium

  * 0009-lxc-attach-make-sure-exit-status-of-command-is-retur.patch: ensure
    lxc-attach returns the exit status of executed command (Closes: 934983)
  * debian/rules: fix dh_fixperms exception for lxc-user-nic (Closes: #934155)
  * debian/liblxc1.symbols: fix versioning information for sha1sum_file

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 19 Aug 2019 21:42:25 -0300

lxc (1:3.1.0+really3.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * cgroups: Properly handle cpuset initialization
    d/p/0007: cgroups: hande cpuset initialization race
    d/p/0008: cgroups: initialize cpuset properly
   (Closes: #934387)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 14 Aug 2019 16:40:03 +0200

lxc (1:3.1.0+really3.0.4-1) unstable; urgency=medium

  * New upstream release 3.0.4
    + Drop patches 0004 and 0005 as the fix for runC CVE-2019-5736 is now
      upstream.
    + Fixes lxc-cgroup giving no output. (Closes: #929926)
  * d/p/0004: Prevent access to /proc/acpi via apparmor. (Closes: #906805)
  * d/p/0005: lxc.service: starts after remote-fs.target to avoid some
    failures for containers with their FS accessible via a remote fs
  * d/p/0006: Strips a non-expanded tag from lxc.pc.in
  * d/control:
    - Bump Standards-Version to 4.4.0
    - Update debheler-compat to 12
  * d/rules: Drop dh_strip override as it's not needed anymore.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 06 Aug 2019 15:33:36 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpam-cgfs`.
